petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchRegister

Adds a line-search algorithm to the registry Not collective Many br

### Input Parameters

| sname | - name of a new user-defined solver Many br
| func | - routine to Create method context Many br

### Notes

TaoLineSearchRegister() may be called multiple times to add several user-defined solvers. Many br

### Sample usage

       TaoLineSearchRegister("my_linesearch",MyLinesearchCreate);

Many br

Then, your solver can be chosen with the procedural interface via Many br

        TaoLineSearchSetType(ls,"my_linesearch")

or at runtime via the option Many br

        -tao_ls_type my_linesearch

Many br

### See Also

TaoLineSearchRegisterDestroy()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages